Subject: Re: bug#36321: Error: Forgot to expand macro pcase--flip in (pcase--flip memql '(2 1) val)

From: Noam Postavsky <[email-masked]>
Date: Sun, 14 Jul 2019 10:39:15 -0400

forcemerge 36447 36321
quit

Pip Cet <[email-masked]> writes:

> On Thu, Jul 4, 2019 at 8:25 PM Noam Postavsky <[email-masked]> wrote:
>> Andreas Schwab <[email-masked]> writes:
>> > The error was introduced between
>> > 8b379bbeca9b3765e2b1e948d9d9c90ab92ff4b6 and
>> > 869cf5cbc0721bbe9e4df557f4ed3633fb13c05f
>>
>> I don't see anything plausible in that range.  I wonder if this could be
>> the same as Bug#36447.
>
> I rather suspect it is, too. Can we get our hands on an emacs binary
> and an emacs.pdmp file from a failing build?

By the timing of when this error popped up, I'm going to say it's most
likely the same as 36447, so I'll go ahead and merge them.  It should be
fixed now, but if the error ever happens again, we'll know it's actually
something else.